[package]
name = "kifu-gtk"
version = "0.1.0"
edition = "2021"

[features]
screenplay = []

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
adw         = { version = "0.5", package = "libadwaita", features = [ "v1_2" ] }
cairo-rs    = { version = "0.18" }
gio         = { version = "0.18" }
glib        = { version = "0.18" }
gtk         = { version = "0.7", package = "gtk4", features = [ "v4_8" ] }
image       = { version = "0.24" }
kifu-core   = { path = "../core" }
pango       = { version = "*" }
sgf         = { path = "../../sgf" }
tokio       = { version = "1.26", features = [ "full" ] }

[build-dependencies]
glib-build-tools = "0.17"

# [[bin]]
# name = "kifu-gtk"
# path = "src/main.rs"

# [[bin]]
# name = "screenplay"
# path = "src/bin/screenplay.rs"
# required-features = [ "screenplay" ]

